Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Class SignatureSubpacket

    java.lang.Object
      org.bouncycastle.bcpg.SignatureSubpacket

Direct Known Subclasses:
  EmbeddedSignature, Exportable, IssuerKeyID, KeyExpirationTime, KeyFlags, NotationData, PreferredAlgorithms, PrimaryUserID, Revocable, SignatureCreationTime, SignatureExpirationTime, SignerUserID, TrustSignature

    public class SignatureSubpacket

extends java.lang.Object

Basic type for a PGP Signature sub-packet.

Field Summary
`protected byte[]` | `data`

Constructor Summary
`protected` | `SignatureSubpacket(int type, boolean critical, byte[] data)`

Method Summary
`void` | `encode(java.io.OutputStream out)`
`byte[]` | `getData()` return the generic data making up the packet.
`int` | `getType()`
`boolean` | `isCritical()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected byte[] data

Constructor Detail

### SignatureSubpacket

    protected SignatureSubpacket(int type,
                                 boolean critical,
                                 byte[] data)

Method Detail

### getType

    public int getType()

### isCritical

    public boolean isCritical()

### getData

    public byte[] getData()

  return the generic data making up the packet.

### encode

    public void encode(java.io.OutputStream out)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD